Package org.opensaml.xmlsec.algorithm

# Class AlgorithmRegistry.SignatureAlgorithmIndex

java.lang.Object
org.opensaml.xmlsec.algorithm.AlgorithmRegistry.SignatureAlgorithmIndex

Enclosing class:
  AlgorithmRegistry

protected class AlgorithmRegistry.SignatureAlgorithmIndex extends Object
Class used as index key for signature algorithm lookup.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`digest`
Digest type.
`private String`
`key`
Key type.

## Constructor Summary

Constructors
Constructor
Description
`SignatureAlgorithmIndex(String keyType, String digestType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### key

@Nonnull private String key
Key type.

### digest

@Nonnull private String digest
Digest type.

## Constructor Details

### SignatureAlgorithmIndex

public SignatureAlgorithmIndex(@Nonnull String keyType, @Nonnull String digestType)
Constructor.

Parameters:
  `keyType` - the key type
  `digestType` - the digest type

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`